Loading...
Searching...
No Matches
Opm::EcfvBaseOutputModule< TypeTag > Class Template Reference

Implements the discretization specific parts of writing files. More...

`#include <ecfvbaseoutputmodule.hh>`

## Public Types

using | Scalar = BaseOutputWriter::Scalar
using | Vector = BaseOutputWriter::Vector
using | ScalarBuffer = BaseOutputWriter::ScalarBuffer
using | VectorBuffer = BaseOutputWriter::VectorBuffer
using | TensorBuffer = BaseOutputWriter::TensorBuffer

## Static Public Member Functions

static void | attachScalarDofData_ (BaseOutputWriter &baseWriter, ScalarBuffer &buffer, const std::string &name)
| Add a buffer where the data is associated with the degrees of freedom to the current VTK output file.
static void | attachVectorDofData_ (BaseOutputWriter &baseWriter, VectorBuffer &buffer, const std::string &name)
| Add a buffer where the data is associated with the degrees of freedom to the current VTK output file.
static void | attachTensorDofData_ (BaseOutputWriter &baseWriter, TensorBuffer &buffer, const std::string &name)
| Add a buffer where the data is associated with the degrees of freedom to the current VTK output file.

## Detailed Description

template<class TypeTag>
class Opm::EcfvBaseOutputModule< TypeTag >

Implements the discretization specific parts of writing files.

The documentation for this class was generated from the following file:

- opm/models/discretization/ecfv/ecfvbaseoutputmodule.hh